summaryrefslogtreecommitdiff
path: root/lib/make/extras/HDF5
diff options
context:
space:
mode:
authortradke <tradke@17b73243-c579-4c4c-a9d2-2d5706c11dac>2001-06-30 09:45:01 +0000
committertradke <tradke@17b73243-c579-4c4c-a9d2-2d5706c11dac>2001-06-30 09:45:01 +0000
commit02d53e6dea25458d882bfdadfb227d04b7133f02 (patch)
tree44a18ec9a89c56c265149d4997ef612b840b002c /lib/make/extras/HDF5
parentb9ec709391feb5ea1dd0510334ea8bdc98a6d256 (diff)
Fix for potentially uninitialized shell variable.
git-svn-id: http://svn.cactuscode.org/flesh/trunk@2258 17b73243-c579-4c4c-a9d2-2d5706c11dac
Diffstat (limited to 'lib/make/extras/HDF5')
-rwxr-xr-xlib/make/extras/HDF5/setup.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/lib/make/extras/HDF5/setup.sh b/lib/make/extras/HDF5/setup.sh
index b285ae8b..033be32d 100755
--- a/lib/make/extras/HDF5/setup.sh
+++ b/lib/make/extras/HDF5/setup.sh
@@ -32,9 +32,9 @@ test_phdf5=$?
if [ -n "$MPI" ] ; then
if [ $test_phdf5 -eq 0 ] ; then
- echo "Found parallel HDF5 library, so Cactus will make use of PHDF5 support."
+ echo "Found parallel HDF5 library, so Cactus will make use of parallel HDF5 support."
else
- echo "Found serial HDF5 library, so Cactus can't make use of PHDF5 support."
+ echo "Found serial HDF5 library, so Cactus can't make use of parallel HDF5 support."
fi
else
if [ $test_phdf5 -eq 0 ] ; then
@@ -68,9 +68,11 @@ fi
grep -qe '#define HAVE_LIBZ 1' ${HDF5_DIR}/include/H5config.h 2> /dev/null
test_zlib=$?
+# check whether we run Windows or not
+$PERL -we 'exit (`uname` =~ /^CYGWIN/)'
+is_windows=$?
+
if [ $test_compress2 -eq 0 -o $test_zlib -eq 0 ] ; then
- $PERL -we 'exit (`uname` =~ /^CYGWIN/)'
- is_windows=$?
if [ $is_windows -eq 0 ] ; then
libz='libz.a'
else